Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Interface QueryManager

All Known Subinterfaces:
  BusinessQueryManager, DeclarativeQueryManager

public interface QueryManager

This is the common base interface for all QueryManagers in the API.

Author:
  Farrukh S. Najmi

Method Summary
`RegistryObject` | `getRegistryObject(java.lang.String id)` Gets the RegistryObject specified by the Id.
`RegistryObject` | `getRegistryObject(java.lang.String id, java.lang.String objectType)` Gets the RegistryObject specified by the Id and type of object.
`BulkResponse` | `getRegistryObjects()` Gets the RegistryObjects owned by the caller.
`BulkResponse` | `getRegistryObjects(java.util.Collection objectKeys)` Gets the specified RegistryObjects.
`BulkResponse` | `getRegistryObjects(java.util.Collection objectKeys, java.lang.String objectTypes)` Gets the specified RegistryObjects.
`BulkResponse` | `getRegistryObjects(java.lang.String objectType)` Gets the RegistryObjects owned by the caller, that are of the specified type.
`RegistryService` | `getRegistryService()` Returns the parent RegistryService that created this object.

Method Detail

### getRegistryObject

    public RegistryObject getRegistryObject(java.lang.String id,
                                            java.lang.String objectType)
                                     throws JAXRException

  Gets the RegistryObject specified by the Id and type of object.

  Capability Level: 0

  Parameters:
    `id` - is the id of the Key for a RegistryObject.
    `objectType` - is a constant definition from LifeCycleManager that specifies the type of object desired.
  Returns:
    the RegistryObject, returned as its concrete type (e.g. Organization, User etc.).
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getRegistryObject

    public RegistryObject getRegistryObject(java.lang.String id)
                                     throws JAXRException

  Gets the RegistryObject specified by the Id.

  Capability Level: 1

  Parameters:
    `id` - the id for the desired object
  Returns:
    the RegistryObject, returned as its concrete type (e.g. Organization, User etc.).
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getRegistryObjects

    public BulkResponse getRegistryObjects(java.util.Collection objectKeys)
                                    throws JAXRException

  Gets the specified RegistryObjects. The objects are returned as their concrete type (e.g. Organization, User etc.).

  Capability Level: 1

  Parameters:
    `objectKeys` - a Collection of Key objects for the desired objects
  Returns:
    BulkResponse containing a heterogeneous Collection of RegistryObjects (e.g. Organization, User etc.).
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getRegistryObjects

    public BulkResponse getRegistryObjects(java.util.Collection objectKeys,
                                           java.lang.String objectTypes)
                                    throws JAXRException

  Gets the specified RegistryObjects. The objects are returned as their concrete type (e.g. Organization, User etc.).

  Capability Level: 0

  Parameters:
    `objectKeys` - a Collection of Key objects for the desired objects
    `objectTypes` - a Collection of String objects that allow filtering desired objects by their type
  Returns:
    BulkResponse containing a heterogeneous Collection of RegistryObjects (e.g. Organization, User etc.).
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getRegistryObjects

    public BulkResponse getRegistryObjects()
                                    throws JAXRException

  Gets the RegistryObjects owned by the caller. The objects are returned as their concrete type (e.g. Organization, User etc.).

  Capability Level: 0

  Returns:
    BulkResponse containing a heterogeneous Collection of RegistryObjects (e.g. Organization, User etc.).
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getRegistryObjects

    public BulkResponse getRegistryObjects(java.lang.String objectType)
                                    throws JAXRException

  Gets the RegistryObjects owned by the caller, that are of the specified type. The objects are returned as their concrete type (e.g. Organization, User etc.).

  Capability Level: 0

  Parameters:
    `objectType` - Is a constant that defines the type of object sought. See LifeCycleManager for constants for object types.
  Returns:
    BulkResponse containing a heterogeneous Collection of RegistryObjects (e.g. Organization, User etc.).
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `LifeCycleManager.ORGANIZATION`

### getRegistryService

    public RegistryService getRegistryService()
                                       throws JAXRException

  Returns the parent RegistryService that created this object.

  Capability Level: 0

  Returns:
    the RegistryService created this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.